Class | Spec::Story::Runner::ScenarioCollector
In: | lib/spec/story/runner/scenario_collector.rb
Parent: | Object

### Methods

Scenario new

### Attributes

scenarios | [RW] |

### Public Class methods

new(story)

[Source]

        # File lib/spec/story/runner/scenario_collector.rb, line 7
     7:         def initialize(story)
     8:           @story = story
     9:           @scenarios = []
    10:         end

### Public Instance methods

Scenario(name, &body)

[Source]

        # File lib/spec/story/runner/scenario_collector.rb, line 12
    12:         def Scenario(name, &body)
    13:           @scenarios << Scenario.new(@story, name, &body)
    14:         end

[Validate]